Subject: Re: bug#24899: 25.1; x-hide-tip always returns nil with USE_GTK

From: martin rudalics <[email-masked]>
Date: Tue, 08 Nov 2016 17:41:19 +0100

> Martin, did you try this on master or on the emacs-25 branch?

On master.  The OP's build time was more recent than mine ;-)

 > I think
 > there's an omission in the Emacs 25.1 code, which the OP is running,
 > that is already fixed on master.  For emacs-25, the following patch
 > should at least bring you closer to the solution,

Emacs-25?  This bug is more than six years old.

 > if not be the
 > solution:

It fixes the problem here.  nverno, can you please test whether it fixes
the problem for you too?  Then Eli will decide whether we can apply the
fix to Emacs 25.  If we can't, you'll have to check this out on master.

Thanks, martin